      //устанавливаем максимальную мощность "НИЖНЕГО НАГРЕВАТЕЛЯ"
      case REFLOW_STATE_MENU_BOTTOM_PWR:
        if (updateScreen) {
          lcd.setCursor(12, 1);lcd.print(profile.pwr_BOTTOM);lcd.print("%  ");
          updateScreen = false;
        }
        if (ChangeValue(profile.pwr_BOTTOM,0,100,REFLOW_STATE_MENU_TOP_PWR)) {
          lcd.setCursor(0, 1);
          lcd.print("TOP PWR:       ");
        };
        break;

      //устанавливаем максимальную мощность "ВЕРХНЕГО НАГРЕВАТЕЛЯ"
      case REFLOW_STATE_MENU_TOP_PWR:
        if (updateScreen) {
          lcd.setCursor(12, 1);lcd.print(profile.pwr_TOP);lcd.print("%  ");
          updateScreen = false;
        }
        if (ChangeValue(profile.pwr_TOP,0,100,REFLOW_STATE_MENU_STEP_RAMP))
        {
          currentStep = 0;
          lcd.setCursor(0, 1);lcd.print("Step");lcd.print(currentStep + 1);lcd.print(" Rate:  ");
        }
        break;

      //устанавливаем скорость нагрева 
      case REFLOW_STATE_MENU_STEP_RAMP:
        if (updateScreen) {
          out_float = profile.rateStep[currentStep] / 10.0;
          lcd.setCursor(12, 1);lcd.print(out_float, 1);lcd.write(byte(0));lcd.print(" ");
          updateScreen = false;
        }
        if (ChangeValue(profile.rateStep[currentStep],1,30,REFLOW_STATE_MENU_STEP_RAMP))
        {
          if (currentStep + 1 == PROFILE_STEPS) {
            currentStep = 0;
            lcd.setCursor(0, 1);lcd.print("Step");lcd.print(currentStep + 1);lcd.print(" Target:");lcd.print(profile.tempStep[currentStep]);lcd.print("  ");
            rfState = REFLOW_STATE_MENU_STEP_TARGET;
          } else {
            currentStep++;
            lcd.setCursor(0, 1);lcd.print("Step");lcd.print(currentStep + 1);lcd.print(" Rate:    ");
          }
        }
        break;

      //устанавливаем температуру 
      case REFLOW_STATE_MENU_STEP_TARGET:
        if (updateScreen) {
          lcd.setCursor(13, 1);lcd.print(profile.tempStep[currentStep]);lcd.print("   ");
          updateScreen = false;
        }
        if (ChangeValue(profile.tempStep[currentStep],0,255,REFLOW_STATE_MENU_STEP_TARGET))
        {
          if (currentStep + 1 == PROFILE_STEPS) {
            currentStep = 0;
            lcd.setCursor(0, 1);lcd.print("Step");lcd.print(currentStep + 1);lcd.print(" Time:");lcd.print(profile.timeStep[currentStep]);lcd.print("c ");
            rfState = REFLOW_STATE_MENU_STEP_DWELL;
          } else {
            currentStep++;
            lcd.setCursor(0, 1);lcd.print("Step");lcd.print(currentStep + 1);
          }
        }
        break;

      //устанавливаем время перехода на следующий шаг (длительность шага вплоть до 4-ёх минут)
      case REFLOW_STATE_MENU_STEP_DWELL:
        if (updateScreen) {
          lcd.setCursor(11, 1);lcd.print(profile.timeStep[currentStep]);lcd.print("c ");
          updateScreen = false;
        }
        if (ChangeValue(profile.timeStep[currentStep],0,240,REFLOW_STATE_MENU_STEP_DWELL))
        {
          if (currentStep + 1 == PROFILE_STEPS) {
            currentStep = 0;
            out_float = profile.kp2 / 10.0;
            lcd.setCursor(0, 1);lcd.print("B.Heat: ");lcd.setCursor(8, 1);lcd.print("P=");lcd.print(out_float);lcd.print("    ");
            rfState = REFLOW_STATE_MENU_BOTTOM_P;
          } else {
            currentStep++;
            lcd.setCursor(0, 1);lcd.print("Step");lcd.print(currentStep + 1);
          }
        }
        break;

      //настройка "ПИД" нижнего нагревателя
      case REFLOW_STATE_MENU_BOTTOM_P:
        if (updateScreen) {
          out_float = profile.kp2 / 10.0;
          lcd.setCursor(10, 1);lcd.print(out_float);lcd.print("  ");
        }
        if (ChangeValue(profile.kp2,0,255,REFLOW_STATE_MENU_BOTTOM_I)) {
          //updateScreen = true;
        };
        break;

      case REFLOW_STATE_MENU_BOTTOM_I:
        if (updateScreen) {
          out_float = profile.ki2 / 100.0;
          lcd.setCursor(8, 1);lcd.print("I=");lcd.print(out_float);lcd.print("  ");
          updateScreen = false;
        }
        if (ChangeValue(profile.ki2,0,255,REFLOW_STATE_MENU_BOTTOM_D)) {
          //updateScreen = true;
        };
        break;

      case REFLOW_STATE_MENU_BOTTOM_D:
        if (updateScreen) {
          out_float = profile.kd2 / 100.0;
          lcd.setCursor(8, 1);lcd.print("D=");lcd.print(out_float);lcd.print("      ");
          updateScreen = false;
        }
        if (ChangeValue(profile.kd2,0,255,REFLOW_STATE_MENU_TOP_P)) {
          out_float = profile.kp1 / 10.0;
          lcd.setCursor(0, 1);lcd.print("T.Heat: ");lcd.setCursor(8, 1);lcd.print("P=");lcd.print(out_float);lcd.print("    ");
          //updateScreen = true;
        };
        break;

      //настройка "ПИД" верхнего нагревателя
      case REFLOW_STATE_MENU_TOP_P:
        if (updateScreen) {
          out_float = profile.kp1 / 10.0;
          lcd.setCursor(10, 1);lcd.print(out_float);lcd.print("    ");
          updateScreen = false;
        }
        if (ChangeValue(profile.kp1,0,255,REFLOW_STATE_MENU_TOP_I)) {
          //updateScreen = true;
        }
        break;

      case REFLOW_STATE_MENU_TOP_I:
        if (updateScreen) {
          out_float = profile.ki1 / 100.0;
          lcd.setCursor(8, 1);lcd.print("I=");lcd.print(out_float);lcd.print("     ");
          updateScreen = false;
        }
        if (ChangeValue(profile.ki1,0,255,REFLOW_STATE_MENU_TOP_D)) {
          //updateScreen = true;
        }
        break;

      case REFLOW_STATE_MENU_TOP_D:
        if (updateScreen) {
          out_float = profile.kd1 / 100.0;
          lcd.setCursor(8, 1);lcd.print("D=");lcd.print(out_float);lcd.print("     ");
          updateScreen = false;
        }
        if (ChangeValue(profile.kd1,0,200,REFLOW_STATE_IDLE)) {
            keySetWaitRelease();
            SaveProfile(currentProfile);            
        }
        break;
